%Before running 
%1) cd into parent folder that contains folders for mixture
%experiment source code and the Test Examples folder containing example
%constraints. 
%2) make sure src and Testing Scripts folders are added to the matlab path


curDir = cd;
examplesFolder = fullfile(curDir,'Test Examples');

mainResultsFolder = fullfile(curDir,'Test Results');

exampleName = 'cornell1990 4 factor p186.mat';
D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),10,3,0,0,0,[10;16;20],1e-12,100);
I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),10,3,0,0,0,[10;16;20],1e-12,100);

D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),10,3,1,0,0,[16;32;64],1e-12,100);
I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),10,3,1,0,0,[16;32;64],1e-12,100);

exampleName = 'heredia_langner2004 5 factor.mat';
D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),14,4,0,0,0,[16;32;64],1e-12,100);
I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),14,4,0,0,0,[16;32;64],1e-12,100);

D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),20,4,3,0,0,[16;32;64;128],1e-12,100);
I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),20,4,3,0,0,[16;32;64;128],1e-12,100);

exampleName = 'piepel1983 6 component.mat';
D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),20,7,0,0,0,[16;32;64],1e-12,100);
I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),20,7,0,0,0,[16;32;64],1e-12,100);

D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),30,7,7,0,0,[16;32;64;128],1e-12,100);
I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),30,7,7,0,0,[16;32;64;128],1e-12,100);

exampleName = 'fleury2014 12 factor.mat';
D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),40,20,0,0,0,[16;32;64;128],1e-12,100);
% I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),40,20,0,0,0,[16],1e-18,100);

RexampleName = 'piepel 21 component.mat';
D_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust D Criterion'),45,14,[0;5],0,0,[16;32;64;128],1e-18,20);
% I_Optimal_Test(fullfile(examplesFolder,exampleName),fullfile(mainResultsFolder,exampleName,'Robust I Criterion'),45,14,[0;5],0,0,[16;32;64;128],1e-18,100);