function numModels = getModelSpaceSize(numFactors,n2fi,n3fi,n4fi,ndif)

nAll2fi=nchoosek(numFactors,2);
nAll3fi=nchoosek(numFactors,3);
if numFactors>=4
    nAll4fi = nchoosek(numFactors,4);
else
    if n4fi>0
        error('Cannot have 4th order interaction term with fewer than 4 factors.'); 
    end
    nAll4fi = 0; %To maintain count
end
nAllDif=nchoosek(numFactors,2);

numModels=nchoosek(nAll2fi,n2fi)*nchoosek(nAll3fi,n3fi)*nchoosek(nAll4fi,n4fi)*nchoosek(nAllDif,ndif);

end